<?php
require_once 'config.php';
require_once 'db.php';
require_once 'dompdf/autoload.inc.php';

use Dompdf\Dompdf;
use Dompdf\Options;

ini_set('display_errors', 1);
error_reporting(E_ALL);

if (!isset($_GET['installment_id'])) {
    die("ID de pago no especificado");
}

$installment_id = intval($_GET['installment_id']);

$conn = new mysqli(DB_HOST, DB_USER, DB_PASS, DB_NAME);
if ($conn->connect_error) {
    die("Error de conexión: " . $conn->connect_error);
}

// Obtener el último pago de esta cuota
$sql = "
SELECT p.*, cr.product, cr.total_amount, cu.name AS customer_name, cu.contact
FROM payments p
JOIN credits cr ON cr.id = p.credit_id
JOIN customers cu ON cu.id = cr.customer_id
WHERE p.installment_id = $installment_id
ORDER BY p.created_at DESC
LIMIT 1";
$result = $conn->query($sql);
if (!$result || $result->num_rows == 0) {
    die("Pago no encontrado");
}
$data = $result->fetch_assoc();

// Obtener el total entregado y monto de la cuota
$sql_totales = "
SELECT i.amount AS cuota_total, SUM(p.payment_amount) AS total_entregado
FROM installments i
LEFT JOIN payments p ON p.installment_id = i.id
WHERE i.id = $installment_id
GROUP BY i.amount
";
$res_totales = $conn->query($sql_totales);
$totales = $res_totales->fetch_assoc();

$cuota_total = $totales['cuota_total'];
$total_entregado = $totales['total_entregado'];
$saldo_restante = $cuota_total - $total_entregado;

$html = '
<style>
    body { font-family: sans-serif; font-size: 12px; }
    .logo { text-align: center; margin-bottom: 10px; }
    .logo img { max-width: 180px; }
    h2 { text-align: center; margin: 5px 0; }
    .info { margin-bottom: 15px; }
    .detalle { border: 1px solid #ccc; padding: 10px; }
</style>

<div class="logo">
    <img src="https://solotecno.com.ar/logo.jpg" alt="SoloTecno">
</div>

<h2>RECIBO DE PAGO</h2>

<div class="info">
    <strong>Cliente:</strong> ' . htmlspecialchars($data['customer_name']) . '<br>
    <strong>Contacto:</strong> ' . htmlspecialchars($data['contact']) . '<br>
    <strong>Producto:</strong> ' . htmlspecialchars($data['product']) . '<br>
    <strong>N° de Cuota:</strong> ' . $data['installment_number'] . '<br>
    <strong>Fecha de pago:</strong> ' . $data['payment_date'] . '<br>
    <strong>Importe:</strong> $' . number_format($data['payment_amount'], 2, ',', '.') . '<br>
    <strong>Total entregado:</strong> $' . number_format($total_entregado, 2, ',', '.') . '<br>
    <strong>Saldo restante:</strong> $' . number_format($saldo_restante, 2, ',', '.') . '
</div>

<div class="detalle">
    Se deja constancia del pago de la cuota número <strong>' . $data['installment_number'] . '</strong> correspondiente al crédito indicado, por un importe de <strong>$' . number_format($data['payment_amount'], 2, ',', '.') . '</strong>.
</div>

<div style="margin-top: 50px;">
    ____________________________<br>
    Firma del cliente
</div>
';

$options = new Options();
$options->set('isRemoteEnabled', true);
$dompdf = new Dompdf($options);
$dompdf->loadHtml($html);
$dompdf->setPaper('A5', 'portrait');
$dompdf->render();
$dompdf->stream("recibo_pago_{$installment_id}.pdf", ["Attachment" => false]);
?>