<?php require_once __DIR__ . '/../config.php'; ?>
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo isset($pageTitle) ? $pageTitle . ' - ' : ''; ?>Sistema de Créditos - <?php echo COMPANY_NAME; ?></title>
    <script src="https://cdn.tailwindcss.com"></script>
    <link href="https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css">
    <style>
        body {
            font-family: 'Inter', sans-serif;
        }
    </style>
</head>
<body class="bg-gray-50 min-h-screen">
    <nav class="bg-gradient-to-r from-blue-600 to-green-500 text-white shadow-lg">
        <div class="max-w-7xl mx-auto px-4 sm:px-6 lg:px-8">
            <div class="flex items-center justify-between h-16">
                <div class="flex items-center">
                    <a href="index.php" class="flex items-center">
                        <img src="<?php echo LOGO_URL; ?>" alt="Logo" class="h-8 w-auto mr-2">
                        <span class="font-semibold text-xl"><?php echo COMPANY_NAME; ?></span>
                    </a>
                </div>
                <div class="hidden md:block">
                    <div class="ml-10 flex items-baseline space-x-4">
                        <a href="index.php" class="px-3 py-2 rounded-md text-sm font-medium hover:bg-blue-500 transition-colors">
                            <i class="fas fa-home mr-1"></i> Inicio
                        </a>
                        <a href="add_credit.php" class="px-3 py-2 rounded-md text-sm font-medium hover:bg-blue-500 transition-colors">
                            <i class="fas fa-plus-circle mr-1"></i> Nuevo Crédito
                        </a>
                        <a href="register_payment.php" class="px-3 py-2 rounded-md text-sm font-medium hover:bg-blue-500 transition-colors">
                            <i class="fas fa-cash-register mr-1"></i> Registrar Pago
                        </a>
                        <a href="list_overdue.php" class="px-3 py-2 rounded-md text-sm font-medium hover:bg-blue-500 transition-colors">
                            <i class="fas fa-clock mr-1"></i> Cuotas Atrasadas
                        </a>
                        <div class="relative group">
                            <button class="px-3 py-2 rounded-md text-sm font-medium hover:bg-blue-500 transition-colors">
                                <i class="fas fa-file-export mr-1"></i> Exportar/Importar
                            </button>
                            <div class="absolute right-0 w-48 mt-2 py-2 bg-white rounded-md shadow-xl hidden group-hover:block">
                                <a href="export.php" class="block px-4 py-2 text-sm text-gray-700 hover:bg-gray-100">
                                    <i class="fas fa-download mr-1"></i> Exportar a CSV
                                </a>
                                <a href="import.php" class="block px-4 py-2 text-sm text-gray-700 hover:bg-gray-100">
                                    <i class="fas fa-upload mr-1"></i> Importar desde CSV
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- Menú móvil -->
                <div class="md:hidden">
                    <button type="button" class="mobile-menu-button p-2 rounded-md hover:bg-blue-500 focus:outline-none">
                        <i class="fas fa-bars"></i>
                    </button>
                </div>
            </div>
        </div>
        <!-- Menú móvil expandible -->
        <div class="hidden mobile-menu md:hidden">
            <div class="px-2 pt-2 pb-3 space-y-1 sm:px-3">
                <a href="index.php" class="block px-3 py-2 rounded-md text-base font-medium hover:bg-blue-500">
                    <i class="fas fa-home mr-1"></i> Inicio
                </a>
                <a href="add_credit.php" class="block px-3 py-2 rounded-md text-base font-medium hover:bg-blue-500">
                    <i class="fas fa-plus-circle mr-1"></i> Nuevo Crédito
                </a>
                <a href="register_payment.php" class="block px-3 py-2 rounded-md text-base font-medium hover:bg-blue-500">
                    <i class="fas fa-cash-register mr-1"></i> Registrar Pago
                </a>
                <a href="list_overdue.php" class="block px-3 py-2 rounded-md text-base font-medium hover:bg-blue-500">
                    <i class="fas fa-clock mr-1"></i> Cuotas Atrasadas
                </a>
                <a href="export.php" class="block px-3 py-2 rounded-md text-base font-medium hover:bg-blue-500">
                    <i class="fas fa-download mr-1"></i> Exportar a CSV
                </a>
                <a href="import.php" class="block px-3 py-2 rounded-md text-base font-medium hover:bg-blue-500">
                    <i class="fas fa-upload mr-1"></i> Importar desde CSV
                </a>
            </div>
        </div>
    </nav>

    <main class="max-w-7xl mx-auto py-6 sm:px-6 lg:px-8">
        <?php if (isset($successMessage)): ?>
            <div class="mb-4 bg-green-100 border-l-4 border-green-500 text-green-700 p-4" role="alert">
                <p class="font-bold">Éxito</p>
                <p><?php echo $successMessage; ?></p>
            </div>
        <?php endif; ?>

        <?php if (isset($errorMessage)): ?>
            <div class="mb-4 bg-red-100 border-l-4 border-red-500 text-red-700 p-4" role="alert">
                <p class="font-bold">Error</p>
                <p><?php echo $errorMessage; ?></p>
            </div>
        <?php endif; ?>

        <!-- El contenido específico de cada página irá aquí -->