<?php
require_once 'config.php';
require_once 'db.php';

$conn = new mysqli(DB_HOST, DB_USER, DB_PASS, DB_NAME);
$id = intval($_GET['id'] ?? 0);

$response = [
    'activos' => 0,
    'historial' => 'Sin datos'
];

// Créditos activos
$sqlActivos = "SELECT COUNT(*) as total FROM credits WHERE customer_id = $id AND outstanding_balance > 0";
$resActivos = $conn->query($sqlActivos)->fetch_assoc();
$response['activos'] = intval($resActivos['total']);

// Historial de pagos (cuotas pagadas a tiempo vs totales)
$sqlPagos = "
    SELECT COUNT(*) as total,
           SUM(CASE WHEN i.status = 'pagado' THEN 1 ELSE 0 END) as pagadas
    FROM credits c
    JOIN installments i ON i.credit_id = c.id
    WHERE c.customer_id = $id
";
$resPagos = $conn->query($sqlPagos)->fetch_assoc();

$total = intval($resPagos['total']);
$pagadas = intval($resPagos['pagadas']);
$porcentaje = $total > 0 ? ($pagadas / $total) * 100 : 0;

if ($total == 0) {
    $response['historial'] = 'Sin historial';
} elseif ($porcentaje >= 90) {
    $response['historial'] = 'Excelente';
} elseif ($porcentaje >= 70) {
    $response['historial'] = 'Bueno';
} elseif ($porcentaje >= 50) {
    $response['historial'] = 'Regular';
} else {
    $response['historial'] = 'Malo';
}

header('Content-Type: application/json');
echo json_encode($response);
?>